require 'test_helper'

class AccountsControllerTest < ActionController::TestCase
  test 'should get index' do
    get :index
    assert_response :success
  end

  test 'should do not get index' do
    account = accounts(:two)
    assert_nil account.administrator
    sign_in account
    get :index
    assert_redirected_to root_url
  end

  test 'should get show' do
    get :show, id: accounts(:one)
    assert_response :success
  end

  test 'should get edit' do
    get :edit, id: accounts(:one)
    assert_response :success
  end

end
